Package org.h2.util.json

# Class JSONByteArrayTarget

java.lang.Object
org.h2.util.json.JSONTarget<byte[]>
org.h2.util.json.JSONByteArrayTarget

public final class JSONByteArrayTarget extends JSONTarget<byte[]>
JSON byte array target.

## Constructor Summary

Constructors
Constructor
Description
`JSONByteArrayTarget()`
Creates new instance of JSON byte array target.

## Method Summary

Modifier and Type
Method
Description
`static ByteArrayOutputStream`
`encodeString(ByteArrayOutputStream baos, String s)`
Encodes a JSON string and appends it to the specified output stream.
`void`
`endArray()`
End of the current array.
`void`
`endObject()`
End of the current object.
`byte[]`
`getResult()`
Returns the result.
`boolean`
`isPropertyExpected()`
Returns whether member's name or the end of the current object is expected.
`boolean`
`isValueSeparatorExpected()`
Returns whether value separator expected before the next member or value.
`void`
`member(String name)`
Name of a member.
`void`
`startArray()`
Start of an array.
`void`
`startObject()`
Start of an object.
`void`
`valueFalse()`
Parse "false".
`void`
`valueNull()`
Parse "null".
`void`
`valueNumber(BigDecimal number)`
A number value.
`void`
`valueString(String string)`
A string value.
`void`
`valueTrue()`
Parse "true".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSONByteArrayTarget

public JSONByteArrayTarget()
Creates new instance of JSON byte array target.

## Method Details

### encodeString

public static ByteArrayOutputStream encodeString(ByteArrayOutputStream baos, String s)
Encodes a JSON string and appends it to the specified output stream.

Parameters:
  `baos` - the output stream to append to
  `s` - the string to encode
Returns:
  the specified output stream

### startObject

public void startObject()
Description copied from class: `JSONTarget`
Start of an object.

Specified by:
  `startObject` in class `JSONTarget<byte[]>`

### endObject

public void endObject()
Description copied from class: `JSONTarget`
End of the current object.

Specified by:
  `endObject` in class `JSONTarget<byte[]>`

### startArray

public void startArray()
Description copied from class: `JSONTarget`
Start of an array.

Specified by:
  `startArray` in class `JSONTarget<byte[]>`

### endArray

public void endArray()
Description copied from class: `JSONTarget`
End of the current array.

Specified by:
  `endArray` in class `JSONTarget<byte[]>`

### member

public void member(String name)
Description copied from class: `JSONTarget`
Name of a member.

Specified by:
  `member` in class `JSONTarget<byte[]>`
Parameters:
  `name` - the name

### valueNull

public void valueNull()
Description copied from class: `JSONTarget`
Parse "null". `null` value.

Specified by:
  `valueNull` in class `JSONTarget<byte[]>`

### valueFalse

public void valueFalse()
Description copied from class: `JSONTarget`
Parse "false". `false` value.

Specified by:
  `valueFalse` in class `JSONTarget<byte[]>`

### valueTrue

public void valueTrue()
Description copied from class: `JSONTarget`
Parse "true". `true` value.

Specified by:
  `valueTrue` in class `JSONTarget<byte[]>`

### valueNumber

public void valueNumber(BigDecimal number)
Description copied from class: `JSONTarget`
A number value.

Specified by:
  `valueNumber` in class `JSONTarget<byte[]>`
Parameters:
  `number` - the number

### valueString

public void valueString(String string)
Description copied from class: `JSONTarget`
A string value.

Specified by:
  `valueString` in class `JSONTarget<byte[]>`
Parameters:
  `string` - the string

### isPropertyExpected

public boolean isPropertyExpected()
Description copied from class: `JSONTarget`
Returns whether member's name or the end of the current object is expected.

Specified by:
  `isPropertyExpected` in class `JSONTarget<byte[]>`
Returns:
  `true` if it is, `false` otherwise

### isValueSeparatorExpected

public boolean isValueSeparatorExpected()
Description copied from class: `JSONTarget`
Returns whether value separator expected before the next member or value.

Specified by:
  `isValueSeparatorExpected` in class `JSONTarget<byte[]>`
Returns:
  `true` if it is, `false` otherwise

### getResult

public byte[] getResult()
Description copied from class: `JSONTarget`
Returns the result.

Specified by:
  `getResult` in class `JSONTarget<byte[]>`
Returns:
  the result